package com.community.huiju.service;

import com.community.commom.session.UserElement;

import java.util.Map;

public interface WxPayServiceI {
	/**
	 * 微信支付统一下单
	 * @return
	 * @param billInvoiceId
	 * @param userElement
	 */
	Map<String, String> wxUnifiedOrder(Integer billInvoiceId, UserElement userElement) throws Exception;
	
	/**
	 * 支付成功的回调
	 * @return
	 * @param resultMap
	 */
	String wxNotify(Map<String, String> resultMap) throws Exception;
	
	/**
	 * 订单查询
	 * @return
	 */
	Map<String, String> wxOrderQuery() throws Exception;
	
	/**
	 * 准备支付
	 * @param billInvoiceId
	 * @param userElement
	 * @throws Exception
	 */
	void wxStartPay(Integer billInvoiceId, UserElement userElement) throws Exception;
	
	/**
	 * 取消支付
	 * @param billInvoiceId
	 * @param userElement
	 */
	void wxCancelPay(Integer billInvoiceId, UserElement userElement) throws Exception;
}
