package com.community.huiju.model;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 所有小区表
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Communities implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 小区名称
     */
    private String communityName;

    /**
     * 小区别名
     */
    private String communityAlias;

    /**
     * 省份id
     */
    private Integer provinceId;

    private Integer cityId;

    /**
     * 县/区id
     */
    private Integer districtId;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 登录账号
     */
    private String loginName;

    private Integer createUser;

    private LocalDateTime createDate;

    private Integer updateUser;

    private LocalDateTime updateDate;


}
