package com.community.huiju.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * APP端菜单页面
 * </p>
 *
 * @author jobob
 * @since 2019-03-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSysMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单链接
     */
    private String menuUrl;

    /**
     * 父级菜单ID
     */
    private Integer parentId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 菜单类型 0 H5  1原生开发
     */
    private String menuType;

    /**
     * 状态 0正常 1 是停用 9 删除
     */
    private String status;

    /**
     * face 代表人脸录入  monitor 代表是 公区监控
     */
    private String remark;

    /**
     * 说明
     */
    private String explain;


}
