package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.BillInvoice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 缴费单 Mapper 接口
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
@Mapper
public interface BillInvoiceMapper extends BaseMapper<BillInvoice> {

    /**
     * 查询有效的缴费单
     * @param page
     * @param map
     * @return
     */
    IPage<BillInvoice> selectBillInvoice(Page page, @Param("map") Map<String, Object> map);

    /**
     * 查询作废的缴费单
     *      前台批量添加的缴费单, 默认是 作废
     * @param map
     * @return
     */
    List<BillInvoice> selectBillInvoiceTemp(@Param("map") Map<String, Object> map);

    /**
     * 查询有效的缴费单
     * @param page
     * @return
     */
    IPage<BillInvoice> selectBillInvoiceEffective(Page page, @Param("map") Map<String, Object> map);

}
