package com.community.huiju.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.Message;
import com.community.huiju.model.TpTicket;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物业web端用户表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2018-12-18
 */
@Mapper
public interface MessageMapper extends BaseMapper<Message> {
    /**
     * 消息待办
     * @param page
     * @param messageType
     * @param status
     * @param createDate
     * @param messageContent
     * @param uuid
     * @return
     */
    IPage<Message> messageLiset(Page page, @Param("messageType")String messageType, @Param("status")String status, @Param("createDate") Date createDate, @Param("messageContent")String messageContent,@Param("uuid") Integer uuid);

    /**
     * 公告消息推送
     * @param message
     */
    void updateMessage(@Param(value = "message") Message message);

    /**
     * 工单消息推送
     * @param message
     */
    void updateTicketMessage(Message message);

    /**
     * 关于我的消息
     * @param page
     * @param messageType
     * @param readStatus
     * @param createDate
     * @param messageContent
     * @param uuid
     * @return
     */
    IPage<Message> myMessageList(Page<Message> page, @Param("messageType") String messageType, @Param("readStatus")String readStatus, @Param("createDate")Date createDate, @Param("messageContent")String messageContent, @Param("uuid")Integer uuid);

    /**
     * 工单分配后改变message的状态
     * @param ticketId
     */
    void updateTickMessageStatus(@Param("ticketId") Integer ticketId);
}
