package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 缴费项表
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_bill")
public class Bill implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 收费项名称
     */
    private String billName;

    /**
     * 缴费项说明
     */
    private String billExplain;

    private String payPrice;

    /**
     * 应缴户数
     */
    private Integer payTotalNum;

    /**
     * 已缴户数
     */
    private Integer payedNum;

    /**
     * 未缴户数
     */
    private Integer unpayedNum;

    /**
     * 项目状态 0：正在收费  1：收费完成  2： 草稿 3：正在收费
     */
    private String billStatus;

    /**
     * 截止时间
     */
    private Date endDate;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private Date updateDate;


}
