package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 物业端消息表
 * </p>
 *
 * @author jobob
 * @since 2019-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_message")
public class Message implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 工单id 非工单不填
     */
    private Integer ticketId;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 消息类型  1：投诉   2：报修 3：联系物业  4： 访客  5:公告  6:系统通知  7:账单 8:活动
     */
    private String messageType;

    /**
     * 通知方式  1 是app内通知  2是短信通知 3 是通知栏消息  4 是 web端消息
     */
    private String adviceType;

    /**
     * 模板类型 1 是消息模板 2是待办模板
     */
    private String modelType;

    /**
     * 接收人id
     */
    private Integer uuid;

    /**
     * 接收人id的类型  1是app用户 2是物业端用户
     */
    private String uuidType;

    /**
     * 来源 1 是app端  2是物业端
     */
    private String source;

    /**
     * 消息内容
     */
    private String messageContent;

    /**
     * 状态 1 是有效 0是无效
     */
    private String status;

    /**
     * 推送结果
     */
    private String result;

    /**
     * 事件类型表的id 预留字段
     */
    private String meaasgeTypeId;

    /**
     * 阅读状态 0 是未读  1是已读
     */
    private String readStatus;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 缴费项ID
     */
    private Integer billId;

    /**
     * 活动Id
     */
    private Integer activityId;

    /**
     * 公告Id
     */
    private Integer announcementId;

    /**
     *二手租赁Id
     */
    private Integer transactionId;

}
