package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 物业web端菜单表
 * </p>
 *
 * @author jobob
 * @since 2019-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_sys_menu")
public class SysMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 菜单链接
     */
    private String menuUrl;

    /**
     * 菜单图标
     */
    private String menuIcon;

    /**
     * 父级菜单ID
     */
    private Integer parentId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 菜单类型 0 页面菜单  1功能菜单
     */
    private String menuType;

    /**
     * 状态 0正常 9 删除
     */
    private String status;
    
    /**
     * 子节点
     */
    @TableField(exist = false)
    private List<SysMenu> children;
}
