package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 物业web端角色表
 * </p>
 *
 * @author jobob
 * @since 2019-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_sys_role")
public class SysRole implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 描述
     */
    private String description;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;
    
    /**
     * 创建人
     */
    @TableField(exist = false)
    private String createName;
    
    /**
     * 更新人
     */
    @TableField(exist = false)
    private String updateName;
    
    /**
     * 前端的menuId
     */
    @TableField(exist = false)
    private List<Integer> menuArray;
    
    /**
     * 角色ID集合
     */
    @TableField(exist = false)
    private List<Integer> idArray;
}
