package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 住户app端用户表
 * </p>
 *
 * @author jobob
 * @since 2018-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_user")
public class TaUser implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 楼栋业主资料信息id
     */
    private Integer buildingOwnerInfoId;

    /**
     * 头像
     */
    private String headPortrait;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 登录账号就是手机号确保唯一
     */
    private String loginName;

    /**
     * 登录密码
     */
    private String loginPassword;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 性别 1：男   2：女
     */
    private String gender;

    /**
     * 1 有效 0 无效(逻辑删除)
     */
    private String status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 上级目录id存在，表示是这个id下的租客或家属
     */
    private Integer parentId;

    /**
     * 接受协议状态  0 是未接受 1是已接受
     */
    private String acceptAgreementStatus;

    /**
     * 认证状态  0 是未认证    1是认证通过   2是已作废
     */
    private String verifyStatus;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 海康人员编号
     */
    private Long hkPersonNo;

    /**
     * 海康人员ID
     */
    private Integer hkUserId;

    /**
     * 海康 卡片号码
     */
    private String hkCardNo;

    /**
     * 人脸状态  0 是未上传   1是已上传   register/unregister
     */
    private String faceStatus;


}
