package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 物业web端活动报名表
 * </p>
 *
 * @author weiximei
 * @since 2019-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_activity_sign_up")
public class TpActivitySignUp implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 活动id
     */
    private Integer activityId;

    /**
     * 住户用户id
     */
    private Integer taUserId;

    /**
     * 报名时间
     */
    private LocalDateTime signUpTime;

    /**
     * 备注
     */
    private String remark;


}
