package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 工单表
 * </p>
 *
 * @author jobob
 * @since 2019-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_ticket")
public class TpTicket implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工单id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 住户app的id
     */
    private Integer taUserId;

    /**
     * 工单标题
     */
    private String ticketTitle;

    /**
     * 工单内容
     */
    private String ticketContent;

    /**
     * 流转状态      0:待分配  1:拒绝受理 2:待处理 3:正在处理 4:待评价 5:已评价 6:已终止
     */
    private String status;

    /**
     * 类型    type:    1:投诉 2:报修   3:联系物业  字典
     */
    private String type;

    /**
     * 报修类型：0:公共区域  1: 房屋质量  2::户内设施  PS : 报修的情况下才有报修类型 加表
     */
    private String repairType;

    /**
     * 受理人id 也就是物业的用户id   加 中间关系表
     */
    private Integer tpUserId;

    /**
     * 评分
     */
    private String score;

    /**
     * 评语
     */
    private String comment;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;


}
