package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 物业端工单追问表
 * </p>
 *
 * @author jobob
 * @since 2019-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_ticket_record_comment")
public class TpTicketRecordComment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private  Integer id;

    /**
     * 小区id
     */
    private Integer communityId;

    /**
     * 工单id
     */
    private Integer ticketId;

    /**
     * 工单记录id
     */
    private Integer ticketRecordId;

    /**
     * 追问人id(tp_user_id也就是物业用户)   或者是 发起人id(ta_user_id也就是住户app的id)
     */
    private Integer uuid;

    /**
     * 用户类型： 0：追问人  1：发起人
     */
    private String userType;

    /**
     * 追问内容或者回复内容
     */
    private String content;

    /**
     * 回复的是哪条记录的id。 0表示当前状态下的第一条追问记录
     */
    private Integer parentId;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     *
     /**
     * 当前对话图片;
     */
    @TableField(exist = false)
    private List<TdImages> imgURL;



}
