package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.TpActivity;

import java.util.List;

/**
 * <p>
 * 物业web端活动表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2018-12-28
 */
public interface ITpActivityService extends IService<TpActivity> {

    /**
     * 根据条件查询 活动列表
     * @param parameter
     * @param userElement 用户登录信息体
     * @return
     */
    ResponseBean listQuery(String parameter, UserElement userElement);

    /**
     * 添加活动列表
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean addActivity(String parameter, UserElement userElement);

    /**
     * 修改 活动
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean updateActivity(String parameter, UserElement userElement);

    /**
     * 根据 活动Id 查询
     * @param id
     * @return
     */
    ResponseBean getById(Integer id);

    /**
     * 批量活动 作废
     * @param ids
     * @param userElement 用户session信息体
     * @return
     */
    ResponseBean updateStatusInvalid(List<Integer> ids, UserElement userElement);

}
