package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.SysRole;

public interface RoleServiceI extends IService<SysRole> {
	
	/**
	 * 获取角色列表
	 * @param roleName
	 * @param userElement
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getRoleList(String roleName, UserElement userElement, Integer pageNum, Integer pageSize);
	
	/**
	 * 添加角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean addRole(SysRole sysRole, UserElement userElement);
	
	/**
	 * 获取角色详情
	 * @param id
	 * @param userElement
	 * @return
	 */
	ResponseBean getRoleInfo(Integer id, UserElement userElement);
	
	/**
	 * 修改角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean updateRole(SysRole sysRole, UserElement userElement);
	
	/**
	 * 批量删除角色
	 * @param sysRole
	 * @param userElement
	 * @return
	 */
	ResponseBean deleteRole(SysRole sysRole, UserElement userElement);
}
